Bug 183371 - [MAINTAINER] devel/gitolite: update to 3.5.2,1
[MAINTAINER] devel/gitolite: update to 3.5.2,1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Steve Wills
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-27 17:50 UTC by milki
Modified: 2013-11-14 18:40 UTC (History)
0 users

See Also:


Attachments
gitolite-3.5.2,1.patch (3.06 KB, patch)
2013-10-27 17:50 UTC, milki
no flags Details | Diff
gitolite.patch (3.47 KB, patch)
2013-10-28 04:33 UTC, milki
no flags Details | Diff
gitolite.patch (3.71 KB, patch)
2013-10-28 04:49 UTC, milki
no flags Details | Diff
gitolite.patch (3.85 KB, patch)
2013-10-28 05:52 UTC, milki
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description milki 2013-10-27 17:50:00 UTC
- Update to 3.5.2,1

Use GH masterdir
Convert to stage

Note to tdb:
Please archive g-sitaramc-gitolite-3.5.2-926bd5f.tar.gz,
https://codeload.github.com/sitaramc/gitolite/legacy.tar.gz/926bd5f?dummy=/

Generated with FreeBSD Port Tools 0.99_8 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2013-10-27 17:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 milki 2013-10-28 04:33:47 UTC
Attached patch includes another fix for stagedir


-- 
milki
Comment 3 milki 2013-10-28 04:49:56 UTC
Also fixed portdocs for stagedir

-- 
milki
Comment 4 milki 2013-10-28 05:52:53 UTC
And..delete docsdir
Comment 5 Steve Wills freebsd_committer 2013-11-14 18:30:44 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 6 dfilter freebsd_committer 2013-11-14 18:30:47 UTC
Author: swills
Date: Thu Nov 14 18:30:39 2013
New Revision: 333782
URL: http://svnweb.freebsd.org/changeset/ports/333782

Log:
  - Update to 3.5.2,1
  - Use GH mastersite
  - Support stagedir
  
  PR:		ports/183371
  Submitted by:	milki <milki@rescomp.berkeley.edu> (maintainer)

Modified:
  head/devel/gitolite/Makefile
  head/devel/gitolite/distinfo
  head/devel/gitolite/pkg-plist

Modified: head/devel/gitolite/Makefile
==============================================================================
--- head/devel/gitolite/Makefile	Thu Nov 14 18:22:48 2013	(r333781)
+++ head/devel/gitolite/Makefile	Thu Nov 14 18:30:39 2013	(r333782)
@@ -1,11 +1,12 @@
 # $FreeBSD$
 
 PORTNAME=	gitolite
-PORTVERSION=	3.5.1
+PORTVERSION=	3.5.2
 PORTEPOCH=	1
 CATEGORIES=	devel
-MASTER_SITES=	http://milki.github.io/${PORTNAME}/ \
+MASTER_SITES=	GH \
 		LOCAL/tdb
+DISTNAME=	g-${GH_ACCOUNT}-${GH_PROJECT}-${PORTVERSION}-${GH_COMMIT}
 
 MAINTAINER=	milki@rescomp.berkeley.edu
 COMMENT=	An access control layer on top of git
@@ -14,6 +15,11 @@ LICENSE=	GPLv2
 
 RUN_DEPENDS=	git>=0:${PORTSDIR}/devel/git
 
+USE_GITHUB=	yes
+GH_ACCOUNT=	sitaramc
+GH_COMMIT=	926bd5f
+GH_TAGNAME=	${GH_COMMIT}
+
 CONFLICTS=	gitolite-[^3]*
 
 USES=		perl5
@@ -24,7 +30,6 @@ OPTIONS_DEFINE=	GITUSER
 
 GITUSER_DESC=	Create git user as gitolite provider
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MGITUSER}
@@ -44,6 +49,7 @@ post-patch:
 		-exec ${REINPLACE_CMD} -Ee 's|#!/bin/bash|#!${LOCALBASE}/bin/bash|' {} \;
 
 do-build:
+	echo "v${PORTVERSION}-0-g${GH_COMMIT}" > ${WRKSRC}/src/VERSION
 	@${MKDIR} ${WRKSRC}/lib
 	@${MV} ${WRKSRC}/src/lib/Gitolite ${WRKSRC}/lib/
 	@${RMDIR} ${WRKSRC}/src/lib
@@ -55,9 +61,9 @@ post-build:
 	@${FIND} ${WRKSRC} -name "*.orig" -delete
 
 do-install:
-	@(cd ${WRKSRC}/src && ${COPYTREE_BIN} \* ${PREFIX}/libexec/gitolite)
-	@(cd ${WRKSRC}/lib && ${COPYTREE_SHARE} Gitolite ${PREFIX}/${SITE_PERL_REL}/)
-	@${LN} -s ${PREFIX}/libexec/gitolite/gitolite ${PREFIX}/bin/gitolite
+	@(cd ${WRKSRC}/src && ${COPYTREE_BIN} \* ${STAGEDIR}${PREFIX}/libexec/gitolite)
+	@(cd ${WRKSRC}/lib && ${COPYTREE_SHARE} Gitolite ${STAGEDIR}${PREFIX}/${SITE_PERL_REL}/)
+	@${LN} -s ${PREFIX}/libexec/gitolite/gitolite ${STAGEDIR}${PREFIX}/bin/gitolite
 
 post-install:
 .if ! ${PORT_OPTIONS:MDOCS}
@@ -66,8 +72,6 @@ post-install:
 	${INSTALL_DATA} ${WRKSRC}/CHANGELOG ${DOCSDIR}
 .endif
 
-	@${CAT} ${PKGMESSAGE}
-
 .if ! ${PORT_OPTIONS:MDOCS}
 PORTDOCS=	README.txt CHANGELOG
 .endif

Modified: head/devel/gitolite/distinfo
==============================================================================
--- head/devel/gitolite/distinfo	Thu Nov 14 18:22:48 2013	(r333781)
+++ head/devel/gitolite/distinfo	Thu Nov 14 18:30:39 2013	(r333782)
@@ -1,2 +1,2 @@
-SHA256 (gitolite-3.5.1.tar.gz) = b527e90ea6aa0f0d5496b3e520cc4a461b130a91b1b284ffee1f20865fada7cf
-SIZE (gitolite-3.5.1.tar.gz) = 128763
+SHA256 (g-sitaramc-gitolite-3.5.2-926bd5f.tar.gz) = ec57c49103fabbe3f919b72e3b50dbca25504a8482f5ba2a681e0ef941473548
+SIZE (g-sitaramc-gitolite-3.5.2-926bd5f.tar.gz) = 131354

Modified: head/devel/gitolite/pkg-plist
==============================================================================
--- head/devel/gitolite/pkg-plist	Thu Nov 14 18:22:48 2013	(r333781)
+++ head/devel/gitolite/pkg-plist	Thu Nov 14 18:30:39 2013	(r333782)
@@ -77,7 +77,6 @@ libexec/gitolite/triggers/post-compile/u
 libexec/gitolite/triggers/renice
 libexec/gitolite/triggers/set-default-roles
 libexec/gitolite/triggers/upstream
-%%GITUSER%%@dirrmtry git
 @dirrm libexec/gitolite/triggers/post-compile
 @dirrm libexec/gitolite/triggers
 @dirrm libexec/gitolite/syntactic-sugar
@@ -89,4 +88,3 @@ libexec/gitolite/triggers/upstream
 @dirrm %%SITE_PERL%%/Gitolite/Hooks
 @dirrm %%SITE_PERL%%/Gitolite/Conf
 @dirrm %%SITE_PERL%%/Gitolite
-@dirrm %%SITE_PERL%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"